<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class Kategori extends CI_Controller {
	function __construct(){
		parent::__construct();	
			$this->load->library('session');
			$this->load->library('form_validation');
			//$this->load->model('m_kategori');
			$this->load->model('m_kategori');
			if($this->session->userdata('username') =='' OR $this->session->userdata('token') !=md5('100%Madiun'.date('Ymd')) ){
				redirect(base_url("login"));
			}			
	}
	public function index()
	{
	$data['kategori'] = $this->m_kategori->tampil();
	$this->load->view('admin/kategori', $data);			
	}
	public function add()
	{
	$data['cek']='';
	$data['kategori'] = $this->m_kategori->tampil();
	$this->load->view('admin/kategori-add', $data);				
	}	
	public function save()
	{
		if(isset($_POST['button'])){
		$this->form_validation->set_rules('namakategori','namakategori','required|max_length[100]');			
		$this->form_validation->set_rules('act','act','required');
		$act = $this->security->xss_clean($this->input->post('act'));			
		$idkategori = $this->security->xss_clean($this->input->post('idkategori'));			
		$namakategori = $this->security->xss_clean($this->input->post('namakategori'));		
		if($this->form_validation->run() == false){ 
				$data['alert'] = 'danger';
				$data['pesan'] = 'Ada kesalahan, mohon periksa kembali !';
				$this->load->view('admin/kategori-add', $data);
		}else if($act =='save'){			
		$data_save = array(
								'namakategori' => ucwords($namakategori)
						);	
		$this->m_kategori->in($data_save,'kategori');
		$data['kategori'] = $this->m_kategori->tampil();		
		$data['alert'] = 'success';
		$data['pesan'] = 'Berhasil disimpan';		
		$this->load->view('admin/kategori', $data);				
		}else if($act=='edit'){
		$data_save = array(
								'namakategori' => ucwords($namakategori)
						);			
		$where = array(
						'idkategori' => $idkategori
				);
		$this->m_kategori->update($where,$data_save,'kategori');		
		$data['kategori'] = $this->m_kategori->tampil();		
		$data['alert'] = 'success';
		$data['pesan'] = 'Berhasil diperbarui';		
		$this->load->view('admin/kategori', $data);		
		}
		}
		if(isset($_POST['kembali'])){
		$data['alert'] = '';
		$data['pesan'] = '';				
		$data['kategori'] = $this->m_kategori->tampil();
		$this->load->view('admin/kategori', $data);			
		}		
	}	
	public function edit()
	{
	if(isset($_POST['edit'])){
		$id=$this->security->xss_clean($this->input->post('id'));	
		$data['cek'] ='edit';
		$data['kategori'] = $this->m_kategori->tampil();		
		$data['edit'] = $this->m_kategori->edit($id);
		$this->load->view('admin/kategori-add', $data);					
	}else if(isset($_POST['hapus'])){
		$id=$this->security->xss_clean($this->input->post('id'));	
		$where = array(
						'idkategori' => $id
				);
		$this->m_kategori->hapus($where,'kategori');
		$data['kategori'] = $this->m_kategori->tampil();		
		$data['alert'] = 'success';
		$data['pesan'] = 'Data berhasil dihapus';			
		$this->load->view('admin/kategori', $data);				
	}else{
		
		$data['kategori'] = $this->m_kategori->tampil();
		$this->load->view('admin/kategori', $data);		
		}	
	}
}